<template>
  <div>
    <el-dialog
      v-loading="loading"
      :show-close="false"
      :close-on-click-modal="false"
      :visible.sync="isShow"
      :title="curObj.id ? '编辑区域信息' : '添加区域信息'"
      :fullscreen="false"
      width="700px"
      custom-class="xl-dialog"
      center
    >
      <base-form ref="ruleForm" class="lib-edit" :data="formData" :is-inline="false" label-width="100px">
        <div slot="footer" style="padding-top: 20px;">
          <el-button class="xl-form-btn t2" @click="close">关 闭</el-button>
          <el-button class="xl-form-btn t1" @click="close('confirm')">确定</el-button>
        </div>
      </base-form>
    </el-dialog>
  </div>
</template>
<script>
export default {
  components: { },
  mixins,
  props: {
    isShow: Boolean,
    curObj: Object
  },
  inject: ['parentData'],
  data() {
    return {
      formData: [],
      loading: true,
    }
  },
  watch: {
    isShow: function(val) {
      if (val) {
        this.getDef()
      }
    },
  },
  methods: {
    getDef() {
      let params = { ...this.curObj }
      this.formData = [
        { label: '区域', key: 'area_type', type: 'select', class: 'c-2', options: this.$dictData.area_type },
        { label: '区域图', key: 'pri_image', type: 'uploads' },
        { label: '描述', key: 'remark', type: 'textarea'},
      ]
      this.setDefaultValue(params)
    },
    close(str) {
      if (str === 'confirm') {
        this.$refs['ruleForm'].$refs['baseForm'].validate((valid) => {
          if (valid) {
            const oldform = this.$refs.ruleForm.baseForm
            const newForm = { ...oldform }
            if (this.curObj.id) newForm.id = this.curObj.id
            let apiStr = 'admareainfoadd'
            if (newForm.id) apiStr = 'admareainfoedit'
            this.$api.other[apiStr](newForm).then(data => {
              this.$msgs(newForm.id ? '编辑成功' : '新增成功')
              this.$emit('close', newForm)
            })
          }
        })
      } else {
        this.$emit('close')
        this.setDefaultValue()
      }
    },
  }
}
</script>
<style lang="scss" scoped>
@import '../../../../styles/libEdit.scss';
.lib-edit {
  padding-top: 0;
  ::v-deep .el-form-item {
    margin-bottom: 10px;
  }
  ::v-deep .el-date-editor.el-input {
    width: 100%;
  }
}
::v-deep .img-upload {
  height: 180px;
  overflow: hidden;
  .icon {
    width: 278px;
  }
  .img {
    width: 278px;
  }
}
.scoped-tips {
  position: absolute;
  width: 110px;
  top: 160px;
  right: 150px;
  color: #666;
  font-size: 14px;
  .s {
    display: block;
    color: #f15264;
    font-weight: bold;
  }
}
.scoped-tips2 {
  position: absolute;
  width: 260px;
  top: 350px;
  right: 0;
  color: #f15264;
  font-size: 14px;
  font-weight: bold;
}
</style>
